.upload_wrapper
{
	max-width: 1000px;
	margin: 40px auto;
	padding: 0 20px;
}

.terminal_box
{
	background: rgba(24, 24, 24, 0.6);
	border: 0;
	box-shadow: var(--primary-shadow);
	border-radius: var(--std-border-radius);
}

.terminal_header
{
	background: rgba(0, 0, 0, 0.4);
	padding: 20px 30px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	border-bottom: 4px solid #e75500a1;
	border-radius: var(--std-border-radius) var(--std-border-radius) 0 0;
}

.submitting_loader
{
	opacity: 0;
	display: none;
	transition: all 700ms ease-in;
}

.submitting_loader.visible
{
	opacity: 1;

	position: absolute;
	display: flex;
	background-color: rgba(0, 0, 0, 0.6);
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 90%;
	max-width: 1000px;
	/* margin: 0; */
	/* transform: translateY(-5px); */
	/* border: 1px solid transparent;
			border-top: 4px solid transparent; */
	/* padding: 0; */
	z-index: 50;
}

.field_required
{
	color: red;
}

.terminal_header h1
{
	margin: 0;
	color: white;
	font-family: "Barlow", sans-serif;
	font-weight: 800;
	font-size: 1.5rem;
}


@keyframes blink
{
	50%
	{
		opacity: .5;
	}
}

/* Grid Layout */
.upload_content
{
	display: flex;
	flex-direction: column;
	/* grid-template-columns: 350px 1fr; */
	justify-content: space-between;
	gap: 40px;
	padding: 40px;
	opacity: 0;
	transform: translateY(16px);

	transition: all 1.25s ease;
}

.upload_content.visible
{
	opacity: 1;
	transform: translateY(0px);
}

.terminal_details
{
	display: flex;
	flex-direction: row;
	justify-content: center;
	gap: 40px;
}

.asset_properties
{
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	/* gap: auto; */
}

.field_group
{
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	gap: 8px;
}

.form_label
{
	display: inline-flex;
	gap: 5px;
	color: var(--gray-text);
	font-family: "Barlow", sans-serif;
	font-weight: 800;
	font-size: 0.9rem;
	letter-spacing: 1px;
	/* margin-bottom: 8px; */
}

.reset_property_btn
{
	background-image: url("/static/reset.webp");
	background-size: cover;
	background-color: var(--element-bg-secondary);
	border: 1px solid var(--secondary-orange);
	border-radius: 3px;
	min-width: 17px;
	/* aspect-ratio: 1/1; */
	transition: all 250ms ease;
	scale: 1;
}

.reset_property_btn.hidden
{
	scale: 0;
}

.form_sub_label
{
	color: #888;
	font-family: "Roboto", sans-serif;
	font-weight: 300;
	font-size: 12px;
	max-width: 23.5rem;
	padding: 2px;
	margin: 0 0 0 8px;
	border-left: 4px solid gray;
	padding-left: 8px;
	letter-spacing: .5px;
}

.form_sub_label.long
{
	max-width: 100%;
}

.form_sub_label a
{
	color: #999;
	font-family: "Barlow", sans-serif;
	font-weight: 800;
}

.badge
{
	background: #222;
	color: var(--primary-orange);
	border: 1px solid var(--primary-orange);
	padding: 2px 8px;
	margin: 0 0 2px 3px;
	font-size: 0.5rem;
	text-transform: uppercase;
	border-radius: 3px;
	width: fit-content;
}

input[type="text"],
input[type="url"],
select
{
	width: 100%;
	background: var(--secondary-orange);
	color: white;
	padding: 12px;
	font-family: "Roboto", sans-serif;
	font-weight: 300;
	transition: all 0.3s ease;
	box-sizing: border-box;
	box-shadow: var(--secondary-shadow);
	border: 0;
	border-radius: var(--std-border-radius);
	/* Fixes padding overflow */
}

select
{
	background: rgba(40, 40, 40, 0.9);
	color: var(--primary-orange);
	font-family: "Roboto", sans-serif;
	font-weight: 300;
}

select option
{
	background: rgba(40, 40, 40, 0.9);
	color: var(--primary-orange);
	font-family: "Roboto", sans-serif;
	font-weight: 300;
}

input[type="text"]::placeholder,
input[type="url"]::placeholder
{
	color: #bbb;
}

input:focus
{
	border-color: var(--primary-orange);
	background: var(--off-orange);
	outline: none;
}

select:focus
{
	background: rgba(50, 50, 50, 0.95);
	color: var(--primary-orange);
}

input[type="text"]:focus::placeholder,
input[type="url"]:focus::placeholder
{
	color: #d8d8d8;
}

.form_group
{
	display: flex;
	justify-content: center;
	gap: 1rem;
}

.form_group select
{
	padding: 8px;
	width: min-content;
}

.slug_preview
{
	color: var(--primary-orange);
	font-family: monospace;
}

/* Drop Zone */
.drop_zone
{
	/* width: 100%; */
	width: 24rem;
	height: 24rem;
	aspect-ratio: 1/1;
	/* Forces typical thumbnail shape */
	border: 2px dashed var(--primary-orange);
	border-radius: var(--std-border-radius);
	background: var(--element-bg-primary);
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	position: relative;
	transition: all 0.6s ease;
	overflow: hidden;
	letter-spacing: 1px;
}

.drop_zone:hover,
.drop_zone.dragging
{
	color: white;
	border-color: var(--primary-orange);
	background: var(--secondary-orange);
	animation: blink 4s infinite forwards;
	letter-spacing: 4px;
}

.drop_placeholder
{
	text-align: center;
	color: #bbb;
}

.drop_icon
{
	font-size: 3rem;
	display: block;
	margin-bottom: 10px;
}

.file_limit
{
	font-family: "Roboto", sans-serif;
	font-weight: 300;
	font-size: 0.8rem;
	color: #888;
	margin-top: 10px;
	display: block;
}

.drop_zone:hover .file_limit
{
	color: darkgray;
}

.thumb_preview
{
	width: 100%;
	height: 100%;
	object-fit: cover;
	image-rendering: optimizeQuality;
}

.cropper_container
{
	width: 600px;
	height: 400px;
	overflow: hidden;
}

.thumb_edit_btns
{
	display: flex;
	gap: 8px;
	justify-content: center;
}

/* Type Buttons */
.type_grid
{
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 12px;
}

.type_btn
{
	background: var(--element-bg-primary);
	border: none;
	border-radius: var(--std-border-radius);
	color: var(--gray-text);
	padding: 12px;
	cursor: pointer;
	font-family: "Barlow", sans-serif;
	font-weight: 800;
	font-size: 14px;
	transition: all 250ms ease-out;
	box-shadow: var(--secondary-shadow);
}

.type_btn:hover
{
	background: var(--secondary-orange);
	color: white;
}

.type_btn:disabled
{
	opacity: .4;
	background: var(--element-bg-primary);
	cursor: not-allowed;
}

.type_btn.active
{
	background: var(--primary-orange);
	color: white;
	border-color: var(--primary-orange);
}

/* Submit Button */
.btn_upload
{
	width: 100%;
	background: var(--primary-orange);
	border: none;
	padding: 15px;
	color: white;
	font-family: "Barlow", sans-serif;
	font-weight: 800;
	font-size: 1.3rem;
	letter-spacing: 2px;
	cursor: pointer;
	/* Hazard stripes on the button */
	background-image: repeating-linear-gradient(45deg,
			transparent,
			transparent 10px,
			rgba(0, 0, 0, 0.1) 10px,
			rgba(0, 0, 0, 0.1) 20px);
	transition: all 700ms ease;
}

.btn_upload:hover
{
	filter: brightness(1.2);
	letter-spacing: .4em;
}

.btn_upload:disabled
{
	background: #333;
	cursor: not-allowed;
}

.error_text
{
	color: red;
	font-family: "Roboto", sans-serif;
	font-weight: 300;
	font-size: 1rem;
	padding-left: 8px;
	margin: 0px 12px 12px;
	border-left: 4px solid darkred;
}

.sub_label
{
	font-size: 16px;
}